package body Complejos is
	function Crear(R,I: in Float) return Complejo is
		C: Complejo;
	begin
		C.PReal := R;
		C.PImag := I;
		return C;
	end Crear;

	function Conjugado(C: in Complejo) return Complejo is
		CAux: Complejo;
	begin
		CAux.PReal :=  C.PReal;
		CAux.PImag := -C.PImag;
		return CAux;
	end Conjugado;

	function "+"(C1,C2: in Complejo) return Complejo is
		CAux: Complejo;
	begin
		CAux.PReal := C1.PReal + C2.PReal;
		CAux.PImag := C1.PImag + C2.PImag;
		return CAux;
	end "+";

   function "*"(C1,C2: in Complejo) return Complejo is
       CAux: Complejo;
   begin
       CAux.PReal := C1.PReal*C2.PReal - C1.PImag*C2.PImag;
       CAux.PImag := C1.PImag*C2.PReal + C1.PReal*C2.PImag;
       return CAux;
	end "*";

	function ParteReal(C: in Complejo) return Float is
	begin
		return C.PReal;
	end ParteReal;

	function ParteImaginaria(C: in Complejo) return Float is
	begin
		return C.PImag;
	end ParteImaginaria;
end Complejos;