package complejos;
public class Complejo {
	private float pReal, pImag;
	
	public Complejo(float r, float i) {
		pReal = r;
		pImag = i;
	}
	
	public Complejo conjugado() {
		return new Complejo(parteReal(), -parteImaginaria());
	}
	
	public static Complejo suma(Complejo c1, Complejo c2) {
		return new Complejo(c1.parteReal() + c2.parteReal(), c1.parteImaginaria() + c2.parteImaginaria());
	}
	
	public static Complejo producto(Complejo c1, Complejo c2) {
		return new Complejo(c1.parteReal() * c2.parteReal() - c1.parteImaginaria() * c2.parteImaginaria(),
		                    c1.parteImaginaria() * c2.parteImaginaria() + c1.parteReal() * c2.parteReal());
	}
	
	public float parteReal() {
		return pReal;
	}
	
	public float parteImaginaria() {
		return pImag;
	}
}